> For the complete documentation index, see [llms.txt](https://docs.migration-center.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.migration-center.com/3.17-update-1/release-notes.md).

# Release Notes

## migration-center 3.17 Update 1

### Features & Enhancements

* Veeva Importer:
  * Multi-threading for upload content process (#59158)
  * Upload content using File Staging REST API (#59680)
  * Added object type order when importing Veeva Objects (#59085)
  * Updated to use API 21.2 (#59343)
* Veeva Scanner:
  * Multi-threading for download content process (#59158)
  * Retrieving inactive dictionary value from Veeva (#59516)
  * Scan new audit trails in Delta scan (#59641)
  * Download the content from FTP by using REST API (#59160)
  * Updated to use API 21.2 (#59684)

### Fixes

* General:&#x20;
  * Removed SQLJUTL package dependency which caused errors on certain Oracle DBs (#59700)
* SharePoint Online Importer:
  * Removed the need for having minor versions enabled when importing folder updates (#59570)

### Known Issues & Limitations

* InfoArchvie Importer:
  * Using Java 8 when generating large PDI files may result in incorrect values in the PDI file (#59214)
* Veeva Importer:
  * objectsOrder feature is ignored if it does not contain all object\_name values from the migset (#59981)
  * Setting object\_name values that don't exist in Veeva in objectOrder does not throw error (#59980)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.migration-center.com/3.17-update-1/release-notes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
